Name:           perl-Array-Unique
Version:        0.09
Release:    1%{?dist}
Summary:        Tie-able array that allows only unique values
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Array-Unique

Source0:        https://cpan.metacpan.org/authors/id/S/SZ/SZABGAB/Array-Unique-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

BuildRequires:  perl(Carp)
BuildRequires:  perl(strict)

BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(warnings)



%description
This package lets you create an array which will allow only one
occurrence of any value. In other words, no matter how many times
you put in 42 it will keep only the first occurrence and the rest
will be dropped. You use the module via tie and once you tied your
array to this module it will behave correctly.

Uniqueness is checked with the 'eq' operator so among other things
it is case sensitive. As a side effect the module does not allow
undef as a value in the array.

%prep
%setup -q -n Array-Unique-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.09-1
- initial build
